[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# AnsiStrPos

Return position of one null-terminated substring in another

## Declaration

Source position: sysansih.inc line 18

`function AnsiStrPos(`
`str: PChar;`
`substr: PChar`
`):PChar;`

## Description

AnsiStrPos returns a pointer to the first occurrence of SubStr in Str. If SubStr does not occur in Str then Nil is returned.

## Errors

An access violation may occur if either Str or SubStr point to invalid memory.

## See also

AnsiPos |  | Return Position of one ansistring in another.
AnsiStrScan |  | Find first occurrence of a character in a null-terminated string.
AnsiStrRScan |  | Find last occurrence of a character in a null-terminated string.

Documentation generated on: Feb 26 2014